package com.yuchen.saas.parking.charge.api.feign;

import com.yuchen.saas.parking.charge.api.dto.PmgBatParkBillLogDto;
import com.yuchen.saas.parking.charge.api.po.ParkingChargingRecord;
import com.yuchen.saas.parking.charge.api.po.ParkingPlaceEvent;
import com.yuchen.saas.parking.charge.api.vo.ParkingBillLogDeatilVo;
import com.yuchen.saas.parking.charge.api.vo.ParkingBillLogExceptionTaskVo;
import com.yuchen.saas.parking.charge.api.vo.PmgBatParkBillLogDeatilVo;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Component
public class PlaceIdleCostFeignClientFallback implements PlaceIdleCostFeignClient {

    @Override
    public R cost(Long parkingId, String plateNo, String startTime, String endTime) {
        return R.fail("远程调用失败");
    }

    @Override
    public R newCost(Long parkingId, String plateNo, String startTime, String endTime) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<Map<Long,ParkingBillLogDeatilVo>> detail(List<PmgBatParkBillLogDto> dtoList) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<ParkingBillLogExceptionTaskVo> > exceptionTask(List<PmgBatParkBillLogDto> dtoList) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<PmgBatParkBillLogDeatilVo>> evenDetail(Long parkingId, String plateNo, String startTime, String endTime) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<ParkingChargingRecord>> listByPlateNo(String plateNo, Long parkingId, String startTime, String endTime) {
        return R.fail("远程调用失败");
    }


}
